﻿
:root {
    --separator2: #ECECEC;
    --separator3: #ECECEC;
}
section.content > .section:not(:last-child) > .container> .container-inner {
    border-bottom: 1px solid var(--separator2);
    margin-bottom: 1.7rem;
    padding-bottom: 1.7rem;
}
section.content > .section:last-child{
    margin-bottom: 1.7rem;
    padding-bottom: 1.7rem;
}
section.content > .section:first-child > .container> .container-inner {
    margin-top: 1.7rem;
}
section.content > .section > .container > .container-inner > .row > [class*="col-"]:not(.sidebar):not(:last-child) {
    border-left: 1px solid var(--separator2);
}
section.content .container-inner > .row > [class*="col-"]:not(.sidebar) .ow-container:not(:last-child) {
    border-bottom: 1px solid var(--separator2);
    padding-bottom: 1.7rem;
    margin-bottom: 1.7rem;
}
section.content .container-inner > .row > [class*="col-"].sidebar .ow-container{
    margin-top: 1.7rem;
}
.blocks-grid-col.slick-slide ~ .blocks-grid-col.slick-slide {
    
    margin-right: 0;
    padding-right: 1.7rem
}
slick-slider:not(.player-slider) .blocks-grid-col.slick-slide ~ .blocks-grid-col.slick-slide {
    border-right: 1px solid var(--separator3);
}/***SPECIAL CASES ****/
    #home-mainpost-main {
        margin-bottom: 1.7rem;
    }
.grid-1col .blocks-grid-list .blocks-grid-col {
    padding-right: 0;
    padding-left: 0;
}
.blocks-grid-container.grid-3col .blocks-grid-list .col-lg-12 + .col-lg-6 {
    border-left: 1px solid var(--separator3) !important;
}

@media(min-width: 992px) {
    .widgets-row .widget-column:not(:last-child) {
        border-left: 1px solid var(--separator3);
    }

    /*** GRID *****/
    .blocks-grid-container:not(.no-vborder) .blocks-grid-list [class*="col-"]:not(:last-child) {
        border-left: 1px solid var(--separator3);
    }
    .blocks-grid-container:not(.no-hborder) .blocks-grid-list [class*="col-"]:not(.col-group) .blocks-grid-item {
        border-bottom: 1px solid var(--separator3);
    }
    /**related to above. exclude grids with full widget and 1 item 88*/
    .blocks-grid-container:not(.no-hborder) .blocks-grid-list .col-lg-12:last-child:not(.col-group) .blocks-grid-item {
        border-bottom: none;
    }

    /**this should exclude col-group*/
    .blocks-grid-container:not(.no-hborder) [class*="col-"]:not(:last-child):not(.col-group) .blocks-grid-item {
        border-bottom: 1px solid var(--separator2);
        padding-bottom: 1.7rem;
    }
    .blocks-grid-container:not(.no-hborder) [class*="col-"] { margin-bottom: 1.7rem; }



    .col-group .blocks-grid-item-wrapper:not(:last-child) .blocks-grid-item {
        border-bottom: 1px solid var(--separator2);
        padding-bottom: 1.7rem;
        margin-bottom: 1.7rem;
    }
    /**** remove the left border from the last column of each row ****/
    .grid-1col.blocks-grid-container [class*="col-"]:nth-child(1n ),
    .grid-2col.blocks-grid-container [class*="col-"]:nth-child(2n ),
    .grid-3col.blocks-grid-container [class*="col-"]:nth-child(3n ),
    .grid-4col.blocks-grid-container [class*="col-"]:nth-child(4n ),
    .grid-6col.blocks-grid-container [class*="col-"]:nth-child(6n ),
    .grid-12col.blocks-grid-container [class*="col-"]:nth-child(12n ) {
        border-left: none !important;
    }
    /**/
    .blocks-grid-container [class*="col-lg-12"]:nth-child(1n),
    .blocks-grid-container [class*="col-lg-6"]:nth-of-type(2),
    .blocks-grid-container [class*="col-lg-4"]:nth-child(3n),
    .blocks-grid-container [class*="col-lg-3"]:nth-child(4n),
    .blocks-grid-container [class*="col-lg-2"]:nth-child(6n) {
        border-left: none !important;
    }

    .blocks-grid-container [class*="col-lg-12"]:not(.col-group):nth-last-child(-n+1) .blocks-grid-item,
    .blocks-grid-container [class*="col-lg-6"]:not(.col-group):nth-last-child(-n+2) .blocks-grid-item,
    .blocks-grid-container [class*="col-lg-4"]:not(.col-group):nth-last-child(-n+3) .blocks-grid-item,
    .blocks-grid-container [class*="col-lg-3"]:not(.col-group):nth-last-child(-n+4) .blocks-grid-item,
    .blocks-grid-container [class*="col-lg-2"]:not(.col-group):nth-last-child(-n+6) .blocks-grid-item {
        border-bottom: none !important;
    }

}
/*MAKE THIS RESPONSIVE
    .blocks-grid-container:not(.no-vborder) .blocks-grid-list [class*="col-"]:not(:last-child) {
        border-left: 1px solid var(--separator3);
    }
    .blocks-grid-container:not(.no-hborder) .blocks-grid-list [class*="col-"]:not(.col-group) .blocks-grid-item {
        border-bottom: 1px solid var(--separator3);
    }

*/
@media(max-width: 992px) {
    .sidebar {
        border-top: 2px solid var(--separator2);
        padding-top: 1.7rem;
        margin-top: 1.7rem;
    }
    section.content > .section > .container > .container-inner > .row > .col-lg-9 {
        border-left: none !important;
    }
    section.content > .section > .container > .container-inner > .row > .col-lg-3:nth-child(2n ) {
        border-left: none !important;
    }
    .widgets-row .widget-column:not(:last-child) {
        border-bottom: 1px solid var(--separator2);
        padding-bottom: 1.7rem;
        margin-bottom: 1.7rem;
    }
    /*.grid-1col.blocks-grid-container [class*="col-"]:nth-child(1n ),*/
    .grid-2col.blocks-grid-container [class*="col-"]:nth-child(1n ),
    .grid-3col.blocks-grid-container [class*="col-"]:nth-child(3n ),
    .grid-4col.blocks-grid-container [class*="col-"]:nth-child(4n -1),
    .grid-6col.blocks-grid-container [class*="col-"]:nth-child(6n ),
    .grid-12col.blocks-grid-container [class*="col-"]:nth-child(12n ) {
        border-left: 1px solid var(--separator3);
    }

    .widgets-row .col-lg-6.widget-column {
        border-right: none;
    }
}
@media(max-width: 767px) {
    /*section.content > .section > .container > .container-inner > .row > .col-md-6 {
        border-left: none !important;
    }
    .grid-1col.blocks-grid-container:not(.no-hborder) [class*="col-"]:nth-child(1n ),
    .grid-2col.blocks-grid-container:not(.no-hborder) [class*="col-"]:nth-child(1n ),
    .grid-3col.blocks-grid-container:not(.no-hborder) [class*="col-"]:nth-child(1n ),
    .grid-4col.blocks-grid-container:not(.no-hborder) [class*="col-"]:nth-child(2n ),
    .grid-6col.blocks-grid-container:not(.no-hborder) [class*="col-"]:nth-child(2n ),
    .grid-12col.blocks-grid-container:not(.no-hborder) [class*="col-"]:nth-child(3n ) {
        border-left: none;
    }*/
}
@media(max-width: 480px) {
    .blocks-grid-col.slick-slide ~ .blocks-grid-col.slick-slide { border-right: none; }

    .widgets-row .widget-column { border-left: none !important; }

    .blocks-grid-col, .blocks-grid-container.grid-3col .blocks-grid-list .col-lg-12 + .col-lg-6 { border-left: none !important; }

    .blocks-grid-container .blocks-grid-list [class*="col-"]:not(:last-child) {
        border-bottom: 1px solid var(--separator2);
        padding-bottom: 1.7rem;
        margin-bottom: 1.7rem;
    }

    .col-group .blocks-grid-item-wrapper:not(:last-child) .blocks-grid-item {
        border-bottom: 1px solid var(--separator2);
        padding-bottom: 1.7rem;
        margin-bottom: 1.7rem;
    }
    section.content > .section > .container > .container-inner > .row > [class*="col-"]:not(:last-child) {
        border-bottom: 1.5px solid var(--separator);
        padding-bottom: 1.7rem;
        margin-bottom: 1.7rem;
    }
}
/*
for all the screensizes
--last item in row and column should not have left and bottom borders
    */